#Include once "window9.bi"

Function ResizeWindow(ByVal WindowID As HWND, ByVal x As Integer,ByVal y As Integer,ByVal Width_ As Integer,ByVal Height_ As Integer) As Integer Export
  Dim As RECT  FWRECT
  GetWindowRect(WindowID,@FWRECT)
  If x=FB_ignore Then
    x=FWRECT.left
  EndIf
  If y=FB_ignore Then
    y=FWRECT.top
  EndIf
  If Width_=FB_ignore Then
    Width_=FWRECT.right-FWRECT.left
  EndIf
  If Height_=FB_ignore Then
    Height_=FWRECT.bottom-FWRECT.top
  EndIf
  Return MoveWindow(WindowID ,x,y,Width_,Height_,TRUE)
End Function
